PostgreSQL jdbc版本区分

   刚接触 postgres jdbc的时候,对于当前的jdk用那个jdbc版本搞不清楚。后来跑到官方网站上一看。写的轻轻楚楚的。只是不能上网的公司遇到这样的问题就没地方查询了。呵呵。官方网站:http://jdbc.postgresql.org/download.html

 

VersionJDBC 2JDBC 2 EEJDBC 3JDBC 4 
8.4 Build 701  8.4-701 JDBC 3 8.4-701 JDBC 4  
8.3 Build 6058.3-605 JDBC 2 8.3-605 JDBC 2EE 8.3-605 JDBC 3 8.3-605 JDBC 4  
8.2 Build 5108.2-510 JDBC 2 8.2-510 JDBC 2EE 8.2-510 JDBC 3 8.2-510 JDBC 4  
8.1 Build 4148.1-414 JDBC 2 8.1-414 JDBC 2EE 8.1-414 JDBC 3   
8.0 Build 3248.0-324 JDBC 2 8.0-324 JDBC 2EE 8.0-324 JDBC 3  

 

  • JDK 1.1 ⇒JDBC 1。现在已经不支持JDK1.1了。除非是很老的项目,要不然现在也很难见到谁还在用JDK1.1版本。
  • JDK 1.2, 1.3 ⇒JDBC 2.
  • JDK 1.3 + J2EE ⇒ JDBC 2 EE. 这个版本支持javax.sql 包下面的类。
  • JDK 1.4, 1.5 ⇒ JDBC 3.  这个版本支持SSL和javax.sql包下面的类。
  • JDK 1.6 ⇒ JDBC4.

 

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页